package com.buy507.mall.portal.domain;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("会员转账记录实体")
public class MemberTransferResult {
	
	@ApiModelProperty(value = "转账金额")
	private BigDecimal value;
	
	@ApiModelProperty(value = "转入用户昵称")
	private String receiverNickname;
	
	@ApiModelProperty(value = "转入用户手机号")
	private String receiverPhone;
	
	@ApiModelProperty(value = "转账时间")
	private Date createTime;

	public BigDecimal getValue() {
		return value;
	}

	public void setValue(BigDecimal value) {
		this.value = value;
	}

	public String getReceiverNickname() {
		return receiverNickname;
	}

	public void setReceiverNickname(String receiverNickname) {
		this.receiverNickname = receiverNickname;
	}

	public String getReceiverPhone() {
		return receiverPhone;
	}

	public void setReceiverPhone(String receiverPhone) {
		this.receiverPhone = receiverPhone;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

}
